2026-10-23 12.00 UTC - There are currently no active events. All systems operational.

Update Extra Value value data

Prev Next
Patch
/extra-values/{id}/

Operation is used to update value data in existing Extra Value. Available from product version 3.0.24.

Security
API Key: Token
Header parameter nameAuthorization

Token issued for API consumer.

Path parameters
id
integerRequired

Id of Extra Value to update

Body parameters

Extra Value value data to be updated

object

Extra Value change representation. Provide at most one of extraValue or extraValueEnum: extraValue for scalar attribute types, extraValueEnum for Multiple Choice (enum) attributes.

extraValue
string

Value of Attribute for scalar data types. Format is defined by the related Extra Attribute data type. Mutually exclusive with extraValueEnum.

extraValueEnum
integer

Id of the Enum value to set. Used for Multiple Choice (enum) attributes instead of extraValue. Mutually exclusive with extraValue.

Responses
200

Object was updated successfully

object

Extra Value change representation. Provide at most one of extraValue or extraValueEnum: extraValue for scalar attribute types, extraValueEnum for Multiple Choice (enum) attributes.

created
string (date-time)

Creation date and time

extraAttribute
integer

Extra Attribute id

extraValue
string

Value of Attribute for scalar data types. Format is defined by the related Extra Attribute data type. Mutually exclusive with extraValueEnum.

extraValueEnum
integer

Id of the Enum value to set. Used for Multiple Choice (enum) attributes instead of extraValue. Mutually exclusive with extraValue.

id
integer

Unique id of Extra Value

modified
string (date-time)

Creation date and time

relatedInstanceId
integer

Id of related object instance

relatedInstanceUrl
string (url)

Url of related object instance in the API

401

Authentication credentials are missing or invalid

{
  "details": "Authentication credentials were not provided"
}
object

Standard error response payload

details
string

Detailed description of error

404

Object was not found

{
  "details": "Not found."
}
object

Standard error response payload

details
string

Detailed description of error